"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@chakra-ui/react");
const NotificationProvider_1 = require("./NotificationProvider");
const EvamApi_1 = require("../../../api/EvamApi");
/**
 * The VehicleServicesDevelopmentEnvironment provides a notification environment for you to test sending notifications in vehicle services.
 * @param children the children of the component
 * @constructor
 */
const VehicleServicesDevelopmentEnvironment = ({ children }) => {
    //just render the app (this is for if we accidentally leave the VehicleServicesDevelopmentEnvironment component in
    if (EvamApi_1.EvamApi.isRunningInVehicleServices)
        return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: children });
    return ((0, jsx_runtime_1.jsx)(react_1.ChakraProvider, { children: (0, jsx_runtime_1.jsx)(NotificationProvider_1.NotificationProvider, { children: children }) }));
};
exports.default = VehicleServicesDevelopmentEnvironment;
//# sourceMappingURL=VehicleServicesDevelopmentEnvironment.js.map