"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TripLocationHistory = void 0;
const Location_1 = require("./Location");
class TripLocationHistory {
    /**
     * An array of locations represents the history of the trip
     * @param locationHistory location array
     * @param etaSeconds 'estimated time of arrival' in seconds
     */
    constructor(locationHistory, etaSeconds) {
        this.locationHistory = locationHistory;
        this.etaSeconds = etaSeconds;
    }
    /**
     * Create from JSON
     * @param tripLocationHistory JSON object
     */
    static fromJSON(tripLocationHistory) {
        if (tripLocationHistory.locationHistory === undefined) {
            throw Error("TripLocationHistory must define locationHistory");
        }
        const { locationHistory } = tripLocationHistory;
        if (Array.isArray(locationHistory)) {
            const locationHistoryMapped = locationHistory.map(Location_1.Location.fromJSON);
            return new TripLocationHistory(locationHistoryMapped, tripLocationHistory.etaSeconds);
        }
        else {
            throw Error("TripLocationHistory.locationHistory must be an array");
        }
    }
}
exports.TripLocationHistory = TripLocationHistory;
//# sourceMappingURL=TripLocationHistory.js.map